Subject: Re: ADS stuff
From: Kay Price <[email-masked]>
To: jim <[email-masked]>
Date: Sat, 28 Apr 2012 14:49:26 -0500

I think JR and Char will join us on Thursday.

George arrives tomorrow for a week. I plan to ask him to resign telling him it would look better than if he is voted out. I doubt he will listen.

I doubt that Ken has thought this through. Our job to help him.

May 12 th is video day at Blacksmith shop. Want to go together? I can met you at Mazo. The following Sat is video of clean up at Chapel. We should get some good stuff of how people come and clean inside and out because they love the place. 

We could do interviews of you and Char and some of your memories of Aug. How would we get Mildred?  Maybe Sandy if she is here in Sept. chuck would be good. 

On Apr 28, 2012, at 11:54 AM, jim <[email-masked]> wrote:

> The Gen movie was reviewed in Ishmuth this week.
> Any word on Dr Geo activities?
> Will Ken be ready with his plans on the election? 
> Maybe now is the time to create a Bio video of Derleth with script written by Ken, with input from you. The video could highlight the achievements and intelligence of Derleth and put the dark stuff to rest (hopefully). It would take a year of work by several of us. If it isn't done soon, it will never happen and the dirt from various blogs will be taken as gospel.
> Perhaps WWF12 could be centered around the biovideo with talks by Ken, yourself, others that knew him (Chuck Richie, Bill Kirschner, the 40's crowd), a taped interview of Mildred, Sandy, others. It would be important to not include the negative gossip of him which is so common around town (must be needed by some for some sort of arousal in their lives). He was blamed for messing up many adult lives---I'm not judging that...but it makes me wonder why the thought of "it takes two" isn't being considered...there is an ample count of gays, loose women in SP today w/o someone to blame. As far as the young abuse--I have a real problem and I don't think anything now can change that. 
> We need to follow the mission...putting direction toward his writing, not his person.